Skip to content

UploadCategory​

Categories for the files uploaded to assignments and their events. A category can also restrict which roles see its files.


OpenAPI Spec​

GET
/v2/upload-categories/spec

Get OpenAPI 3.1.0 spec for UploadCategory API

Responses​

Returns OpenAPI 3.1.0 spec for UploadCategory API

application/json
JSON
{
}

Playground​

Samples​


List UploadCategories​

GET
/v2/upload-categories

List UploadCategories

Authorizations​

apiKey
Type
HTTP (bearer)

Parameters​

Query Parameters

page
Type
number
Minimum
0
Default
0
size
Type
number
Minimum
1
Maximum
20
Default
10
uuid
name
deactivatedAt
createdAt
updatedAt

Responses​

List response

application/json
JSON
{
  
"page": 0,
  
"pages": 0,
  
"size": 10,
  
"items": [
  
  
{
  
  
  
"uuid": "string",
  
  
  
"name": "string",
  
  
  
"color": "string",
  
  
  
"order": 0,
  
  
  
"deactivatedAt": "string",
  
  
  
"roleUuids": [
  
  
  
  
"string"
  
  
  
],
  
  
  
"createdAt": "string",
  
  
  
"updatedAt": "string"
  
  
}
  
]
}

Playground​

Server
Authorization
Variables
Key
Value

Samples​


Create a new UploadCategory​

POST
/v2/upload-categories

Create a new UploadCategory

Authorizations​

apiKey
Type
HTTP (bearer)

Request Body​

application/json
JSON
{
  
"uuid": "string",
  
"name": "string",
  
"color": "string",
  
"order": 1,
  
"roleUuids": [
  
  
"string"
  
]
}

Responses​

UploadCategory found

application/json
JSON
{
  
"uuid": "string",
  
"name": "string",
  
"color": "string",
  
"order": 0,
  
"deactivatedAt": "string",
  
"roleUuids": [
  
  
"string"
  
],
  
"createdAt": "string",
  
"updatedAt": "string"
}

Playground​

Server
Authorization
Body

Samples​


Get a UploadCategory​

GET
/v2/upload-categories/{uploadCategoryUuid}

Get a UploadCategory by ID

Authorizations​

apiKey
Type
HTTP (bearer)

Parameters​

Path Parameters

uploadCategoryUuid*
Type
string
Required
Format
"uuid"

Responses​

UploadCategory found

application/json
JSON
{
  
"uuid": "string",
  
"name": "string",
  
"color": "string",
  
"order": 0,
  
"deactivatedAt": "string",
  
"roleUuids": [
  
  
"string"
  
],
  
"createdAt": "string",
  
"updatedAt": "string"
}

Playground​

Server
Authorization
Variables
Key
Value

Samples​


Update a UploadCategory​

PATCH
/v2/upload-categories/{uploadCategoryUuid}

Update a UploadCategory by ID

Authorizations​

apiKey
Type
HTTP (bearer)

Parameters​

Path Parameters

uploadCategoryUuid*
Type
string
Required
Format
"uuid"

Request Body​

application/json
JSON
{
  
"name": "string",
  
"color": "string",
  
"order": 1,
  
"deactivatedAt": "string",
  
"roleUuids": [
  
  
"string"
  
]
}

Responses​

UploadCategory found

application/json
JSON
{
  
"uuid": "string",
  
"name": "string",
  
"color": "string",
  
"order": 0,
  
"deactivatedAt": "string",
  
"roleUuids": [
  
  
"string"
  
],
  
"createdAt": "string",
  
"updatedAt": "string"
}

Playground​

Server
Authorization
Variables
Key
Value
Body

Samples​